package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.DBVerify;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Description: 学生学院参数
 * @Author: CaoZixuan
 * @Date: 2022-08-17
 */
public class BasicCollegeParams {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学院id（编辑时必填）")
    private Long id;

    @ApiModelProperty(value = "学院名称")
    @NotNull(message = "学院名称")
    @Length(min = 1,message = "学院名称")
    @DBVerify(value = "学院名称",required = true)
    private String collegeName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }
}
